<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\FileUpload;

class ImageFileUpload extends FileUpload
{
    public static function create(): static
    {
        return parent::make('image')
            ->label('تصویر')
            ->directory('files')
            ->disk('public')
            ->image()
            ->openable()
            ->columnSpan(12);
    }
}
